<?php
/**
* @package RSMediaGallery! Responsive Slideshow Module
* @copyright (C) 2011 - 2021 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined('_JEXEC') or die('Restricted access');

class modRSMediaGalleryResponsiveSlideshowHelper
{

	public static function getInstance() {
		static $inst;
		if (!$inst) {
			$inst = new modRSMediaGalleryResponsiveSlideshowHelper();
		}
		return $inst;
	}
	
	public function carousel($selector, $params) {
		$stop_over 	= (int) $params->get('stop_over', 1);
		$interval  	= (int) $params->get('interval', 5000);
		$autoplay 	= (int) $params->get('autoplay', 1);
		$effect		= $params->get('slider_effect', 'slide');
		
		$options    = '{'.($autoplay ? '"interval": '.$interval.', ': '').'"pause": "'.($stop_over ? 'hover' : '').'", "effect":"'.$effect.'"'.(!$autoplay ? ', "paused":true': '').', "doCycle":true'.'}';

		$document   = JFactory::getDocument();
        $min        = JDEBUG ? '' : '.min';

        // Javascript
        JHtml::_('script', 'mod_rsmediagallery_responsive_slideshow/jcarousel'.$min.'.js', array('relative' => true, 'version' => 'auto'));
        JHtml::_('script', 'mod_rsmediagallery_responsive_slideshow/jquery.touchSwipe'.$min.'.js', array('relative' => true, 'version' => 'auto'));

        // CSS
        JHtml::_('stylesheet', 'mod_rsmediagallery_responsive_slideshow/bootstrap-carousel.css', array('relative' => true, 'version' => 'auto'));
        JHtml::_('stylesheet', 'mod_rsmediagallery_responsive_slideshow/bootstrap-carousel-'.$effect.'-effect.css', array('relative' => true, 'version' => 'auto'));

		$document->addScriptDeclaration(
			"
			jQuery(document).ready(function() {
				jQuery('.$selector').each(function(index, element) { jQuery(this)[index].slide = null; });

				jQuery('.$selector').rscarousel(".$options.");

				jQuery('.$selector .carousel-inner .item').swipe({
				
                    // Generic swipe handler for all directions
                    swipeLeft   : function(event, direction, distance, duration, fingerCount) {
                        jQuery(this).parents('.$selector').rscarousel('next'); 
                    },
                    swipeRight  : function() {
                        jQuery(this).parents('.$selector').rscarousel('prev'); 
                    },
                    threshold   : 50
                });
				
			});
			"
		);
	}
	
	public function getCaptionClass($status) {
		$classes = '';
		
		if ($status != 'show-all') {
			$devices = explode('-', $status);
			if (in_array('phones', $devices)) {
				$classes .= 'visible-phone ';
			}
			if (in_array('tablets', $devices)) {
				$classes .= 'visible-tablet ';
			}
			if (in_array('desktop', $devices)) {
				$classes .= 'visible-desktop ';
			}
		}
		
		return trim($classes);
	}
}