<?php
/**
* @package RSMediaGallery! Responsive Slideshow Module
* @copyright (C) 2011 - 2021 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<div id="rsmg_rsp_container<?php echo $module->id; ?>" class="rscarousel rscarousel-<?php echo $effect;?>-effect slide rsmg_rsp_container<?php echo $module->id; ?> <?php echo RSMediaGalleryHelper::escape($moduleclass_sfx); ?>">
	<?php if ($show_indicators) {
		$total_items = ceil(count($items) / $items_per_slide);
		?>
		<ol class="carousel-indicators <?php echo $indicators_position;?>">
			<?php for($i = 0; $i < $total_items; $i++) { ?>
				<li data-target="#rsmg_rsp_container<?php echo $module->id; ?>" data-slide-to="<?php echo $i?>" <?php echo ($i == 0 ? 'class="active"' : ''); ?>></li>
			<?php } ?>
		</ol>
	<?php } ?>
	<div class="carousel-inner">
		<div class="item active">
			<?php foreach ($items as $num => $item) { ?>
			<?php if (!($num % $items_per_slide) && $num != 0) { ?></div><div class="item"><?php } ?>
			<div class="rsmg-col-<?php echo $items_per_slide; ?><?php echo ($center_element ? ' rsmg_center_element' : ''); ?>">
				<?php if ($item->url) { ?><a href="<?php echo $item->url;?>" <?php echo ($open_in_new_page ? 'target="_blank"' : '');?>><?php } ?>
					<img src="<?php echo $use_original ? $item->full : $item->thumb; ?>" alt="<?php echo RSMediaGalleryHelper::escape($item->title); ?>" />
					<?php if ($item->url) { ?></a><?php } ?>
				<?php if ($show_title || $show_description) { ?>
				<div class="container">
					<div class="carousel-caption <?php echo $caption_class;?>">
						<?php if ($show_title) { ?>
						<<?php echo $title_tag; ?>><?php echo RSMediaGalleryHelper::escape($item->title); ?></<?php echo $title_tag; ?>>
					<?php } ?>
					<?php if ($show_description && $item->description != '') { ?>
						<p class="lead"><?php echo $item->description; ?></p>
					<?php } ?>
					</div>
				</div>
				<?php } ?>
			</div>
			<?php } ?>
		</div>
	</div>
	<?php if ($show_controls) { ?>
		<a class="left carousel-control" href="#rsmg_rsp_container<?php echo $module->id; ?>" data-slide="prev"></a>
		<a class="right carousel-control" href="#rsmg_rsp_container<?php echo $module->id; ?>" data-slide="next"></a>
	<?php } ?>
</div>